{% load i18n static %}
{% get_current_language as language_code%}
<!DOCTYPE HTML>
<html lang="{{ language_code }}">
    <head>
        <title>
            {{ global_preferences.general__forum_name|escape }}: {% block page_title%}{% endblock %}
        </title>

        {% if global_preferences.general__forum_favicon %}
            <link rel="icon" href="/media/{{ global_preferences.general__forum_favicon }}">
        {% endif %}
        
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta charset="UTF-8"/>
        <link href="{% static 'slow_forum/bootstrap-5.3.0-dist/css/bootstrap.min.css' %}" rel="stylesheet">
        <link href="{% static 'slow_forum/bootstrap-icons-1.10.5/font/bootstrap-icons.css' %}" rel="stylesheet">
        <link href="{% static 'slow_forum/pygment/styles.css' %}" rel="stylesheet">
        <link rel="stylesheet" href="{% static 'slow_forum/forum/style_screen.css' %}" type="text/css" media="screen" />
    </head>
    <body>
        <header class="border-bottom mb-5">
            <nav class="main_nav navbar navbar-expand-sm bg-body-tertiary">
                <div class="container-fluid">
                    <a class="navbar-brand" title="{% translate "Click to go back at forum root" %}" href="/">
                        {% if global_preferences.general__forum_logo %}
                            <img class="forum_logo d-inline-block align-text-top" alt="logo" src="/media/{{ global_preferences.general__forum_logo }}"/>
                        {% endif %}
                        {{ global_preferences.general__forum_name|escape }}
                    </a>
                    <ul class="navbar-nav mb-2 mb-lg-0" aria-description="{% translate "Main navigation" %}">
                        <li class="nav-item mx-2">
                            <a href="{% url 'slow_forum:index' %}" class="nav-link">{% translate "Home" %}</a>
                        </li>
                        <li class="nav-item mx-2">
                            <a class="nav-link" href="{% url 'slow_forum:topic-category-list' %}">{% translate "Categories" %}</a>
                        </li>
                        <li class="nav-item mx-2">
                            <a href="{% url 'slow_forum:user-profile-list' %}" class="nav-link">{% translate "Profiles" %}</a>
                        </li>
                        <li class="nav-item mx-2">
                            <a href="{% url 'slow_forum:about' %}" class="nav-link">{% translate "About" %}</a>
                        </li>

                        {# Feeds entry #}
                        
                        <li class="nav-item mx-2">
                            <a class="nav-link" href="{% url 'slow_forum:feeds' %}" title="{% translate "Feeds" %}">
                                <i class="bi bi-rss-fill"></i>
                            </a>
                        </li>

                        {# More menu #}
                        
                        {% if user.is_staff %}
                            
                            <li class="nav-item mx-2">
                                <div class="dropdown">
                                    <button class="btn btn-outline-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                        {% translate "More" %}
                                    </button>

                                    <ul class="dropdown-menu dropdown-menu-end" role="menu" aria-description="{% translate "Menu more, in main navigation menu" %}">
                                        
                                        {% if user.is_staff %}
                                            <li>
                                                <a class="dropdown-item" href="{% url 'admin:index' %}">{% translate "Administration" %}</a>
                                            </li>
                                        {% endif %}
                                        
                                    </ul>
                                    
                                </div>
                            </li>

                        {% endif %}

                        {# Account menu #}

                        {% if user.is_authenticated %}

                            <li class="nav-item mx-2">
                                <div class="dropdown">
                                    <button class="btn btn-outline-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                        {% translate "Account" %}
                                    </button>

                                    <ul class="dropdown-menu dropdown-menu-end" role="menu" aria-description="{% translate "Menu more, in main navigation menu" %}">
                                        
                                        <li>
                                            <a class="dropdown-item" href="{{ user.profile.get_absolute_url }}">
                                                {% translate "My profile" %}
                                            </a>
                                        </li>
                                        
                                        <li>
                                            <a class="dropdown-item" href="{% url 'password_change' %}">
                                                {% translate "Password change" %}
                                            </a>
                                        </li>

                                        <li>
                                            <a class="dropdown-item" href="{% url 'logout' %}">
                                                {% translate "Logout" %}
                                            </a>
                                        </li>
                                        
                                    </ul>
                                    
                                </div>
                            </li>
                            
                        {% else %}

                            <li>
                                <a class="nav-item mx-2 btn btn-outline-secondary" href="{% url 'django_registration_register' %}">
                                    {% translate "Create account" %}
                                </a>
                            </li>
                            
                            <li>
                                <a class="nav-item mx-2 btn btn-outline-secondary" href="{% url 'login' %}">
                                    {% translate "Login" %}
                                </a>
                            </li>
                            
                        {% endif %}

                    </ul>
                </div>
            </nav>
        </header>
        <main class="content container">
            {% block main %}{% endblock %}
        </main>
        <footer>
            <div class="container mt-5">
                {% block footer %}
                    <div class="border-top text-body-secondary">
                        {% translate "Made with" %} <a href="https://framagit.org/swisslinux.org/slow_forum">
                        Slow Forum
                        </a>, {% translate "a Free Software under the licence" %} <a href="https://www.gnu.org/licenses/gpl-3.0.fr.html">
                            {% translate "GPLv3 or later" %}
                        </a>
                    </div>
                {% endblock %}
            </div>
        </footer>
        <script src="{% static 'slow_forum/bootstrap-5.3.0-dist/js/bootstrap.bundle.min.js' %}"></script>
    </body>
</html>
